const FacebookIcon = ({ className = '' }) => (
  <span className={className}>
    <svg width="56" height="56" viewBox="0 0 56 56" fill="none" xmlns="http://www.w3.org/2000/svg">
      <circle cx="28" cy="28" r="28" fill="#CE0F3D" />
      <g clipPath="url(#clip0)">
        <path d="M39.146 28.0727C39.1456 25.7656 38.4841 23.5069 37.2399 21.564C35.9956 19.6212 34.2208 18.0755 32.1254 17.11C30.03 16.1445 27.7018 15.7996 25.4165 16.1161C23.1312 16.4327 20.9844 17.3974 19.2304 18.8962C17.4763 20.3949 16.1884 22.3648 15.5191 24.5727C14.8499 26.7807 14.8273 29.1341 15.454 31.3545C16.0807 33.5749 17.3305 35.5692 19.0554 37.1014C20.7804 38.6335 22.9082 39.6393 25.187 39.9997V31.5627H22.12V28.0727H25.187V25.4127C25.187 22.3867 26.987 20.7127 29.747 20.7127C30.6515 20.7256 31.5539 20.8044 32.447 20.9487V23.9187H30.927C30.6677 23.8844 30.404 23.9089 30.1553 23.9902C29.9067 24.0716 29.6796 24.2078 29.4907 24.3888C29.3019 24.5698 29.1561 24.7909 29.0642 25.0358C28.9724 25.2807 28.9368 25.5432 28.96 25.8037V28.0697H32.308L31.773 31.5597H28.959V39.9997C31.7988 39.5498 34.3849 38.1014 36.2523 35.9151C38.1196 33.7288 39.1457 30.948 39.146 28.0727Z" fill="white" />
      </g>
      <defs>
        <clipPath id="clip0">
          <rect width="24.146" height="24" fill="white" transform="translate(15 16)" />
        </clipPath>
      </defs>
    </svg>
  </span>
);

export default FacebookIcon